Project Chrono: chrono::fsi::ChCollisionSystemFsi Class Reference

Public Member Functions | List of all members
chrono::fsi::ChCollisionSystemFsi Class Reference
FSI module » Collision objects

## Description

Base class for processing proximity computation in an FSI system.

Inheritance diagram for chrono::fsi::ChCollisionSystemFsi:
[legend]
Collaboration diagram for chrono::fsi::ChCollisionSystemFsi:
[legend]

## Public Member Functions
| ChCollisionSystemFsi (std::shared_ptr< SphMarkerDataD > otherSortedSphMarkersD, std::shared_ptr< ProximityDataD > otherMarkersProximityD, std::shared_ptr< FsiGeneralData > otherFsiGeneralData, std::shared_ptr< SimParams > otherParamsH, std::shared_ptr< ChCounters > otherNumObjects)
| Constructor of the ChCollisionSystemFsi class.
| ~ChCollisionSystemFsi ()
| Destructor of the ChCollisionSystemFsi class.
void | ArrangeData (std::shared_ptr< SphMarkerDataD > otherSphMarkersD)
| Encapsulate calcHash and reaorderDataAndFindCellStart.
void | Initialize ()
| Complete construction.
Public Member Functions inherited from chrono::fsi::ChFsiGeneral
| ChFsiGeneral (std::shared_ptr< SimParams > hostParams, std::shared_ptr< ChCounters > hostNumObjects)
| Constructor for the ChFsiGeneral class.
virtual | ~ChFsiGeneral ()
| Destructor of the ChFsiGeneral class.
void | computeGridSize (uint n, uint blockSize, uint &numBlocks, uint &numThreads)
| Compute number of blocks and threads for calculation on GPU.

## Additional Inherited Members
Protected Member Functions inherited from chrono::fsi::ChFsiGeneral
uint | iDivUp (uint a, uint b)
| Return a/b or a/b + 1.

## Constructor & Destructor Documentation

## ◆ ChCollisionSystemFsi()

chrono::fsi::ChCollisionSystemFsi::ChCollisionSystemFsi | ( | std::shared_ptr< SphMarkerDataD > | otherSortedSphMarkersD,
|  | std::shared_ptr< ProximityDataD > | otherMarkersProximityD,
|  | std::shared_ptr< FsiGeneralData > | otherFsiGeneralData,
|  | std::shared_ptr< SimParams > | otherParamsH,
|  | std::shared_ptr< ChCounters > | otherNumObjects )

Constructor of the ChCollisionSystemFsi class.

Parameters

  otherSortedSphMarkersD | Information of the particles in the sorted array
  otherMarkersProximityD | Proximity information of the system
  otherFsiGeneralData | Pointer to the SPH general data
  otherParamsH | Parameters of the simulation
  otherNumObjects | Size of different objects in the system

The documentation for this class was generated from the following file:

- D:/W/B/src/chrono-9.0.1/src/chrono_fsi/physics/ChCollisionSystemFsi.cuh